Package com.sas.lsaf.security.acl

## Enum AclEntry.PermissionValue

- java.lang.Object
- - java.lang.Enum<AclEntry.PermissionValue>
  - - com.sas.lsaf.security.acl.AclEntry.PermissionValue

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Comparable<AclEntry.PermissionValue>`
  Enclosing class:
    AclEntry

      public static enum AclEntry.PermissionValue
      extends java.lang.Enum<AclEntry.PermissionValue>

  PermissionValue is an enum that represents the possible values of a permission.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `DENY` | If DENY, the user or group is denied the permission.
    `FALSE` | If FALSE, the user or group is neither granted nor denied the permission by this AclEntry.
    `TRUE` | If TRUE, the user or group is granted the permission.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static AclEntry.PermissionValue` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
    `static AclEntry.PermissionValue[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### TRUE

          public static final AclEntry.PermissionValue TRUE

      If TRUE, the user or group is granted the permission.

    - #### FALSE

          public static final AclEntry.PermissionValue FALSE

      If FALSE, the user or group is neither granted nor denied the permission by this AclEntry.

    - #### DENY

          public static final AclEntry.PermissionValue DENY

      If DENY, the user or group is denied the permission.

  - ### Method Detail

    - #### values

          public static AclEntry.PermissionValue[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (AclEntry.PermissionValue c : AclEntry.PermissionValue.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static AclEntry.PermissionValue valueOf​(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null